Token payroll
Get Token Payroll Config
Fetches a token payroll with entity and contributors, plus a legacy-shaped copy for old UI.
GEThttps://api.toku.com/stablecoin-payroll/get-token-payroll-config
Required scope: payroll:read. It also needs compensation:read.
curl --request GET \
--url 'https://api.toku.com/stablecoin-payroll/get-token-payroll-config?tokenPayrollId=%3CtokenPayrollId%3E' \
--header 'Authorization: Bearer <token>'200 response
{
"tokenPayroll": {
"tokenPayrollID": "string",
"orgID": "string",
"payPeriodStart": "string",
"payPeriodEnd": "string",
"payDate": "string",
"payrollSyncedSource": "string",
"externalPayrollID": "string",
"fiatCurrency": "string",
"payrollEntityId": "string",
"state": "string",
"type": "string",
"createdAt": "string",
"updatedAt": "string",
"fundingEmailSent": true,
"payrollGroup": "string",
"isPlaceholder": true,
"payrollEntity": {
"payrollEntityID": "string",
"name": "string",
"reportingCurrency": "string",
"country": "string"
},
"tokenTypeID": "string",
"contributorsInTokenPayroll": [
{
"contributorInTokenPayrollID": "string",
"tokenPayrollID": "string",
"roleInOrgID": "string",
"totalPayrollAmount": 0,
"totalDeductionAmount": 0,
"netPayrollAmount": 0,
"roleInOrg": {
"roleInOrgID": "string",
"roleInOrgExternalID": 0,
"externalEmployeeID": "string",
"person": {
"fullName": "string",
"givenName": "string",
"familyName": "string"
}
}
}
]
},
"payroll": {
"id": "string",
"name": "string",
"entity": "string",
"payPeriodStart": "string",
"payPeriodEnd": "string",
"payDate": "string",
"currentStep": "string",
"state": "string",
"type": "string",
"externalPayrollID": "string",
"fiatCurrency": "string",
"tokenTypeID": "string",
"exchangeRate": 0,
"isStablecoinPayrollComplete": true,
"isFiatPayrollComplete": true,
"isSyncedFromHRIS": true,
"selectedEmployeeIds": [
"string"
],
"isCsvUploaded": true,
"createdAt": "string",
"updatedAt": "string",
"createdByID": "string",
"lastModifiedByID": "string",
"orgID": "string",
"payrollSyncedSource": "string",
"fundingEmailSent": true,
"payrollGroup": "string",
"isPlaceholder": true
}
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
tokenPayrollIdstringrequiredAllowed: 1 to 200 characters
Response
200Successful response
tokenPayrollobject | nullShow child attributes
tokenPayrollIDstring | nullorgIDstring | nullpayPeriodStartstring | nullpayPeriodEndstring | nullpayDatestring | nullpayrollSyncedSourcestring | nullexternalPayrollIDstring | nullfiatCurrencystring | nullpayrollEntityIdstring | nullstatestring | nulltypestring | nullimportedDataanyrequiredcreatedAtstring | nullupdatedAtstring | nullfundingEmailSentboolean | nullpayrollGroupstring | nullisPlaceholderboolean | nullpayrollEntityobject | nullShow child attributes
payrollEntityIDstring | nullnamestring | nullreportingCurrencystring | nullcountrystring | nulltokenTypeIDstring | nullcontributorsInTokenPayrollarray | nullShow child attributes
contributorInTokenPayrollIDstring | nulltokenPayrollIDstring | nullroleInOrgIDstring | nulltotalPayrollAmountnumber | nulltotalDeductionAmountnumber | nullnetPayrollAmountnumber | nullroleInOrgobject | nullShow child attributes
roleInOrgIDstring | nullroleInOrgExternalIDnumber | nullexternalEmployeeIDstring | nullpersonobject | nullShow child attributes
fullNamestring | nullgivenNamestring | nullfamilyNamestring | nullpayrollobject | nullShow child attributes
idstring | nullnamestring | nullentitystring | nullpayPeriodStartstring | nullpayPeriodEndstring | nullpayDatestring | nullcurrentStepstring | nullstatestring | nulltypestring | nullexternalPayrollIDstring | nullfiatCurrencystring | nulltokenTypeIDstring | nullexchangeRatenumber | nullisStablecoinPayrollCompleteboolean | nullisFiatPayrollCompleteboolean | nullisSyncedFromHRISboolean | nullselectedEmployeeIdsarray | nullimportedDataanyrequiredprocessedDataanyrequiredsettlementDataanyrequiredisCsvUploadedboolean | nullcreatedAtstring | nullupdatedAtstring | nullcreatedByIDstring | nulllastModifiedByIDstring | nullorgIDstring | nullpayrollSyncedSourcestring | nullfundingEmailSentboolean | nullpayrollGroupstring | nullisPlaceholderboolean | null400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits